Skip to main content
REST API reference
A newer release of this product is available.

Updates a file clone token

modify clone token

use the patch api to update the expiry time associated with the clone token<br\>

# the call:
curl -x patch "https://<mgmt_ip>/api/storage/file/clone/tokens/97255711-a1ad-11eb-92b2-0050568eb2ca/905c42ce-a74b-11eb-bd86-0050568ec7ae" -d {"expiry_time": {"limit": "5400"} }
# the response for successful patch is empty

learn more

  • [doc /storage/file/clone]

PATCH /storage/file/clone/tokens/{node.uuid}/{uuid}

Introduced In: 9.10

Updates a file clone token.

  • volume file clone token modify

Modify clone token

Use the PATCH API to update the expiry time associated with the clone token.<br>

# The call:
curl -X PATCH "https://<mgmt_ip>/api/storage/file/clone/tokens/97255711-a1ad-11eb-92b2-0050568eb2ca/905c42ce-a74b-11eb-bd86-0050568ec7ae" -d '{"expiry_time": {"limit": "5400"} }'

# The response for successful PATCH is empty.

Learn More

  • [DOC /storage/file/clone]

Parameters

Name Type In Required Description

node.uuid

string

path

True

Node UUID

uuid

string

path

True

Token UUID

Request Body

Name Type Description

expiry_time

expiry_time

node

node_reference

uuid

string

Token UUID.

Response

Status: 200, Ok

Error

Status: Default, Error

Definitions

See Definitions

href

Name Type Description

href

string

expiry_time

Name Type Description

left

string

Specifies the time remaining before the given token expires in ISO-8601 format.

limit

string

Specifies when the given token expires in ISO-8601 format.

node_reference

Name Type Description

name

string

uuid

string

token

token

Name Type Description

expiry_time

expiry_time

node

node_reference

uuid

string

Token UUID.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response